View Issue Details

IDProjectCategoryLast Update
0019755AI War 2[All Projects] Crash/ExceptionJul 13, 2018 2:08 pm
ReporterOvalcircleAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.749 Release The Hounds 
Fixed in Version0.750 My Friend The Marauder 
Summary0019755: Some error about the AI sentinels or something
DescriptionI was playing and this error pops up.

Look for 7/12/2018 4:53:25 PM

The save might not show the errors, but They happened.

Edit: Just load the save, unpause, and you'll hit it immediately.
TagsNo tags attached.

Activities

Ovalcircle

Jul 12, 2018 4:57 pm

reporter  

Errors.save (4,750,845 bytes)
ArcenDebugLog.txt (146,481 bytes)
7/11/2018 8:42:05 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:42:06 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:47:17 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 8:47:17 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 8:47:17 PM	No resolution change was required.
7/11/2018 8:47:17 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 8:47:17 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 8:47:36 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 8:47:36 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 8:47:36 PM	21.4 seconds total load time.

SetDirectoriesToBeUsed (1.6s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.0s)
ArcenUIPrefabTable (0.3s)
SpaceboxDefinitionTable (0.3s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (4.5s)
SurrogateTableTable (0.4s)
7/11/2018 8:47:37 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/11/2018 8:49:42 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 8:49:42 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 8:49:43 PM	No resolution change was required.
7/11/2018 8:49:43 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 8:49:43 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 8:50:02 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 8:50:02 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 8:50:02 PM	21.1 seconds total load time.

SetDirectoriesToBeUsed (0.8s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.5s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.5s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (4.5s)
SurrogateTableTable (0.3s)
7/11/2018 8:50:02 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/11/2018 8:50:54 PM	Successfully opened host socket
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_2_AI' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_3_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_4_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_8_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_9_HumanMarauders' in state Background, WaitSleepJoin
7/11/2018 8:52:54 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:52:54 PM	World Created, Launching Server
7/11/2018 8:52:54 PM	Successfully opened host socket
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_32_AI' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_33_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_34_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_38_AntagonizedDysonSphere' in state Background
7/11/2018 8:53:17 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:53:17 PM	World Created, Launching Server
7/11/2018 8:53:18 PM	Successfully opened host socket
7/11/2018 8:53:32 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:33 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:34 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:35 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:36 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:37 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:38 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:39 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:40 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:40 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_61_AI' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_62_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_63_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_67_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:53:41 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:53:41 PM	World Created, Launching Server
7/11/2018 8:53:41 PM	Successfully opened host socket
7/11/2018 8:53:44 PM	Welcome to the D18 Swirl generator

7/11/2018 8:53:47 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:48 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:49 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:50 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:50 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:53:57 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 8:53:57 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 8:53:57 PM	No resolution change was required.
7/11/2018 8:53:57 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 8:53:57 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 8:54:18 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 8:54:18 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 8:54:18 PM	22.8 seconds total load time.

SetDirectoriesToBeUsed (1.3s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (10.4s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.6s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (4.5s)
SurrogateTableTable (0.4s)
7/11/2018 8:54:18 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/11/2018 8:54:20 PM	World Created, Launching Server
7/11/2018 8:54:20 PM	Welcome to the D18 Swirl generator

7/11/2018 8:54:21 PM	Successfully opened host socket
7/11/2018 8:54:26 PM	Welcome to the D18 Swirl generator

7/11/2018 8:55:34 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_12_AI' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_13_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_14_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_18_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:55:35 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:55:35 PM	World Created, Launching Server
7/11/2018 8:55:35 PM	Welcome to the D18 Swirl generator

7/11/2018 8:55:36 PM	Successfully opened host socket
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_31_AI' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_32_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_33_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_37_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:55:53 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:55:53 PM	World Created, Launching Server
7/11/2018 8:55:53 PM	Successfully opened host socket
7/11/2018 8:56:08 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 9:03:05 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 9:03:05 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 9:03:05 PM	No resolution change was required.
7/11/2018 9:03:05 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 9:03:05 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 9:03:24 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 9:03:25 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 9:03:25 PM	21.4 seconds total load time.

SetDirectoriesToBeUsed (1.5s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.2s)
ArcenUIPrefabTable (0.3s)
SpaceboxDefinitionTable (0.3s)
PlanetDefinitionTable (0.6s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (4.6s)
SurrogateTableTable (0.3s)
7/11/2018 9:03:25 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/11/2018 9:03:29 PM	World Created, Launching Server
7/11/2018 9:03:30 PM	Successfully opened host socket
7/11/2018 9:03:37 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 9:03:39 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 11:51:29 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 11:51:30 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 11:51:30 PM	No resolution change was required.
7/11/2018 11:51:30 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 11:51:30 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 11:52:17 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 11:52:18 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 11:52:18 PM	49.9 seconds total load time.

SetDirectoriesToBeUsed (1.3s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (13.1s)
ExternalIconDictionaryTable (1.3s)
ArcenUIPrefabTable (2.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
QuickConstructionTypeTable (0.3s)
SpaceboxDefinitionTable (1.1s)
PlanetDefinitionTable (3.2s)
GameEntityTypeDataTable.Initialize (2.4s)
GameEntityTypeDataTable.InitVisualBits (18.2s)
SurrogateTableTable (0.6s)
7/11/2018 11:52:18 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/12/2018 12:01:34 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/12/2018 12:01:34 AM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/12/2018 12:01:35 AM	No resolution change was required.
7/12/2018 12:01:35 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/12/2018 12:01:35 AM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/12/2018 12:02:24 AM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/12/2018 12:02:24 AM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/12/2018 12:02:24 AM	51.6 seconds total load time.

SetDirectoriesToBeUsed (1.3s)
Calculate FInt Sqrt Arrays (0.4s)
PresentationLayer.LoadVisualConstants_Early (0.5s)
LoadFinalSFXStuff (13.2s)
ExternalIconDictionaryTable (1.3s)
ArcenUIPrefabTable (2.3s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.5s)
QuickConstructionTypeTable (0.3s)
EntityLineTypeTable (0.3s)
SpaceboxDefinitionTable (1.2s)
PlanetDefinitionTable (3.3s)
BuildMenuTable (0.3s)
GameEntityTypeDataTable.Initialize (3.0s)
GameEntityTypeDataTable.InitVisualBits (18.4s)
SurrogateTableTable (0.7s)
7/12/2018 12:02:24 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/12/2018 12:03:11 AM	World Created, Launching Server
7/12/2018 12:03:12 AM	Successfully opened host socket
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/12/2018 12:03:56 AM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:03:57 AM	PLAYER DISCONNECTED 0.0.0.0=>0
7/12/2018 12:03:57 AM	World Created, Launching Server
7/12/2018 12:03:57 AM	Successfully opened host socket
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/12/2018 12:04:36 AM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:04:37 AM	PLAYER DISCONNECTED 0.0.0.0=>0
7/12/2018 12:04:37 AM	World Created, Launching Server
7/12/2018 12:04:37 AM	Successfully opened host socket
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'specialFactionContext_225_AI' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'specialFactionContext_226_AISpecialForces' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'specialFactionContext_227_HunterFleet' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'specialFactionContext_231_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'specialFactionContext_232_ZenithDysonSphere' in state Background, WaitSleepJoin
7/12/2018 12:10:06 AM	Clearing world, so killing thread 'specialFactionContext_233_ZenithDysonSphere' in state Background
7/12/2018 12:10:08 AM	PLAYER DISCONNECTED 0.0.0.0=>0
7/12/2018 1:32:51 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/12/2018 1:32:51 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/12/2018 1:32:51 PM	No resolution change was required.
7/12/2018 1:32:51 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/12/2018 1:32:51 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/12/2018 1:33:26 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/12/2018 1:33:27 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/12/2018 1:33:27 PM	37.6 seconds total load time.

SetDirectoriesToBeUsed (1.6s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (12.5s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.6s)
SpaceboxDefinitionTable (0.8s)
PlanetDefinitionTable (2.7s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (13.7s)
SurrogateTableTable (0.4s)
7/12/2018 1:33:27 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/12/2018 1:33:29 PM	World Created, Launching Server
7/12/2018 1:33:30 PM	Successfully opened host socket
7/12/2018 1:34:18 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/12/2018 4:50:41 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/12/2018 4:50:41 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/12/2018 4:50:42 PM	No resolution change was required.
7/12/2018 4:50:42 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/12/2018 4:50:42 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/12/2018 4:51:15 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/12/2018 4:51:15 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/12/2018 4:51:15 PM	35.7 seconds total load time.

SetDirectoriesToBeUsed (1.1s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (11.1s)
ExternalIconDictionaryTable (0.8s)
ArcenUIPrefabTable (0.6s)
SpaceboxDefinitionTable (0.8s)
PlanetDefinitionTable (2.3s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (13.2s)
SurrogateTableTable (0.4s)
7/12/2018 4:51:16 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/12/2018 4:51:32 PM	Successfully opened host socket
7/12/2018 4:52:39 PM
During placement: rejectionReason FactionDoesNotHaveEnoughCap

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.AIW2.External.GameCommand_PlaceSelfBuildingUnit.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00060] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Networking\GameCommand.cs:166 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00138] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:634 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001d4] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:582 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x001fe] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\Engine_Universal.cs:1062 
  at ArcenGameController.Update () [0x000d8] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:84 

7/12/2018 4:52:39 PM
During placement: rejectionReason FactionDoesNotHaveEnoughCap

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.AIW2.External.GameCommand_PlaceSelfBuildingUnit.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00060] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Networking\GameCommand.cs:166 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00138] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:634 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001d4] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:582 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x001fe] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\Engine_Universal.cs:1062 
  at ArcenGameController.Update () [0x000d8] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:84 

7/12/2018 4:52:58 PM
During placement: rejectionReason FactionDoesNotHaveEnoughCap

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.AIW2.External.GameCommand_PlaceSelfBuildingUnit.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00060] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Networking\GameCommand.cs:166 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00138] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:634 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001d4] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Engine_AIW2.cs:582 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x001fe] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\Engine_Universal.cs:1062 
  at ArcenGameController.Update () [0x000d8] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:84 

7/12/2018 4:53:25 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	SendReprisalWaveIfNecessary	1028	4995	0	0
	DoPerSecondLogic	281	642	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_AI.SendReprisalWaveIfNecessary (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.External.AISentinelsExternalData factionExternal) [0x00404] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_AI.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00119] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/12/2018 4:53:26 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	SendReprisalWaveIfNecessary	1028	4995	0	0
	DoPerSecondLogic	281	642	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_AI.SendReprisalWaveIfNecessary (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.External.AISentinelsExternalData factionExternal) [0x00404] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_AI.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00119] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/12/2018 4:53:58 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	SendReprisalWaveIfNecessary	1028	4995	0	0
	DoPerSecondLogic	281	642	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_AI.SendReprisalWaveIfNecessary (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.External.AISentinelsExternalData factionExternal) [0x00404] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_AI.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00119] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/12/2018 4:53:59 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	SendReprisalWaveIfNecessary	1028	4995	0	0
	DoPerSecondLogic	281	642	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_AI.SendReprisalWaveIfNecessary (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.External.AISentinelsExternalData factionExternal) [0x00404] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_AI.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00119] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/12/2018 4:54:00 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	SendReprisalWaveIfNecessary	1028	4995	0	0
	DoPerSecondLogic	281	642	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_AI.SendReprisalWaveIfNecessary (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.External.AISentinelsExternalData factionExternal) [0x00404] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_AI.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00119] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/12/2018 4:54:02 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	SendReprisalWaveIfNecessary	1028	4995	0	0
	DoPerSecondLogic	281	642	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_AI.SendReprisalWaveIfNecessary (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.External.AISentinelsExternalData factionExternal) [0x00404] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_AI.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00119] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/12/2018 4:54:17 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'specialFactionContext_2_AI' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'specialFactionContext_3_AISpecialForces' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'specialFactionContext_4_HunterFleet' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'specialFactionContext_8_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'specialFactionContext_9_ZenithDysonSphere' in state Background, WaitSleepJoin
7/12/2018 4:54:17 PM	Clearing world, so killing thread 'specialFactionContext_10_ZenithDysonSphere' in state Background, WaitSleepJoin
7/12/2018 4:54:18 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (146,481 bytes)
Errors.savemet (47 bytes)

Ovalcircle

Jul 12, 2018 5:02 pm

reporter   ~0047840

Here's a screenshot.

AI War 2 Error.jpg (230,545 bytes)
AI War 2 Error.jpg (230,545 bytes)

BadgerBadger

Jul 12, 2018 5:30 pm

manager   ~0047841

Ah, the fact that it happened on reload is useful to know. A crash when figuring out whether to send a reprisal wave.

Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE METHOD IL_OFFSET NATIVE_OFFSET LINE_NUMBER COLUMN_NUMBER
    SendReprisalWaveIfNecessary 1028 4995 0 0
    DoPerSecondLogic 281 642 0 0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs DoFactionSecondLogic 49 215 392 0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs <>m__0 8 50 436 0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs DoForFactions 21 98 762 0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs DoWorldSecondLogic 41 234 434 0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs DoWorldStepLogic 108 442 224 0
    Execute 83 234 0 0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_AI.SendReprisalWaveIfNecessary (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.External.AISentinelsExternalData factionExternal) [0x00404] in <42c50c1ca5394112b015ca98de3ec8cb>:0
  at Arcen.AIW2.External.SpecialFaction_AI.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00119] in <42c50c1ca5394112b015ca98de3ec8cb>:0
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0

BadgerBadger

Jul 13, 2018 2:08 pm

manager   ~0047857

I have a hopeful fix for this. It's a weird problem. Please let me know if it happens again

Issue History

Date Modified Username Field Change
Jul 12, 2018 4:57 pm Ovalcircle New Issue
Jul 12, 2018 4:57 pm Ovalcircle File Added: Errors.save
Jul 12, 2018 4:57 pm Ovalcircle File Added: Errors.savemet
Jul 12, 2018 4:57 pm Ovalcircle File Added: ArcenDebugLog.txt
Jul 12, 2018 5:01 pm Ovalcircle Description Updated View Revisions
Jul 12, 2018 5:02 pm Ovalcircle File Added: AI War 2 Error.jpg
Jul 12, 2018 5:02 pm Ovalcircle Note Added: 0047840
Jul 12, 2018 5:30 pm BadgerBadger Note Added: 0047841
Jul 12, 2018 5:31 pm BadgerBadger Assigned To => BadgerBadger
Jul 12, 2018 5:31 pm BadgerBadger Status new => assigned
Jul 13, 2018 2:08 pm BadgerBadger Status assigned => resolved
Jul 13, 2018 2:08 pm BadgerBadger Resolution open => fixed
Jul 13, 2018 2:08 pm BadgerBadger Fixed in Version => 0.750 My Friend The Marauder
Jul 13, 2018 2:08 pm BadgerBadger Note Added: 0047857